public static interface AlertPolicy.Documentation.LinkOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getDisplayName()
public abstract String getDisplayName()A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The displayName. |
getDisplayNameBytes()
public abstract ByteString getDisplayNameBytes()A short display name for the link. The display name must not be empty or exceed 63 characters. Example: "playbook".
string display_name = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for displayName. |
getUrl()
public abstract String getUrl()The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The url. |
getUrlBytes()
public abstract ByteString getUrlBytes()The url of a webpage. A url can be templatized by using variables in the path or the query parameters. The total length of a URL should not exceed 2083 characters before and after variable expansion. Example: "https://my_domain.com/playbook?name=${resource.name}"
string url = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for url. |